module.exports = () => [
    require('cors')({
        origin: /(\/\/|\.)yandex\.\w+(:\d+)?$/,
        optionsSuccessStatus: 200,
    }),
    require('@yandex-int/express-http-uatraits')(),
    require('@yandex-int/express-yandexuid')(),
    require('../middleware2/htmlCsp')(),
    require('../middleware2/tvm')(),
    require('../middleware2/blackbox')(),
    require('../middleware2/pageViewAuth')(),
    require('@yandex-int/express-secretkey')(),
    require('../middleware2/karma')(),
    require('../middleware2/accountUpgrade')(),
    require('../middleware2/orgs')({ orgFields: ['cloud_org_id'] }),
    require('../middleware2/context')(),
    require('../middleware2/orgId')(),
    require('../middleware2/orgInfo')(),
    require('../middleware2/blackboxPatch')(),
    require('../middleware2/userInfo')(),
    require('../middleware2/features')(),
    require('../middleware2/services')(),
    require('../middleware2/legacyAdapter')(),
    require('../layouts/context'),
];
